get_desktop_resolution(3)

NAME
get_desktop_resolution

SYNOPSIS
#include <allegro.h>

int get_desktop_resolution(int *width, int *height);

DESCRIPTION
Finds out the currently selected desktop resolution. You can use this information to avoid creating windows bigger than the current resolution. This is especially important for some windowed drivers which are unable to create windows bigger than the desktop. Each parameter is a pointer to an integer where one dimension of the screen will be stored. Under some OSes, switching to a full screen graphics mode may automatically change the desktop resolution. You have, therefore, to call this function before setting any graphics mode in order to retrieve the real desktop resolution. Example:
   int width, height;

   allegro_init();
   ...
   if (get_desktop_resolution(&width, &height) == 0) {
      /* Got the resolution correctly */
   }

RETURN VALUE
Returns zero on success, or a negative number if this information is not available or does not apply, in which case the values stored in the variables you provided for `width' and `height' are undefined.

SEE ALSO
desktop_color_depth(3), set_gfx_mode(3)